Bug 165587 - Fix deskutils/egroupware dependency and configuration problems
Summary: Fix deskutils/egroupware dependency and configuration problems
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-01 16:40 UTC by Harald Schmalzbauer
Modified: 2013-03-10 02:43 UTC (History)
0 users

See Also:


Attachments
file.diff (8.53 KB, patch)
2012-03-01 16:40 UTC, Harald Schmalzbauer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Schmalzbauer 2012-03-01 16:40:08 UTC
	Installing the port as it is doesn't allow you to store calendar
entries e.g. (missing php5-zlib). Another show-stopper for SyncML is that
important PHP variables are not set properly with the provided configuration
instruction.
In addition to a corrected apache configuration example, a example
lighttpd configuration is included.
Also some new dependencies for 1.8.002 are added (mcrypt, xmlreader and 
optionally TNEF and OpenSSL support (for IMAPs connections e.g.)

How-To-Repeat: 	Go to your ports tree in deskutils/egroupware run a 'make install'
and try to store calendar entries -> doesn't work
	Try to connect synchronice vi syncml -> doesn't work (check /eg/rpc.php
with browser to see the problem)
	Check eg/setup/, login as config-admin and run check_install.php
There are mcrypt and xmlreader dependencies unsatisfied, also TNEF can be usefull
for the integrated mail client (feliamaial)

Another thing to mention: GD doesn't implicit require x11-libraries, you can define
WITHOUT_X11 in make.conf to keep GD lean. Maybe you want to include that hint /
rework the GD options description.
Comment 1 Edwin Groothuis freebsd_committer 2012-03-01 16:40:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-04-11 09:25:25 UTC
wen         2012-04-11 08:25:15 UTC

  FreeBSD ports repository

  Modified files:
    deskutils/egroupware Makefile distinfo 
  Log:
  - Update to 1.8.004.20120407
  - Add missing DEPENDS [1]
  - Add some options [1]
  
  PR:             ports/165587 [1]
  Submitted by:   Harald Schmalzbauer <freebsd@omnilan.de> [1]
  
  Revision  Changes    Path
  1.47      +14 -2     ports/deskutils/egroupware/Makefile
  1.33      +4 -4      ports/deskutils/egroupware/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2013-03-10 02:43:03 UTC
State Changed
From-To: open->closed

Committed by previous maintainer nearly a year ago.